org.apache.ignite.internal.processors.cache

## Interface GridCacheMvccCallback

    public interface GridCacheMvccCallback

Lock and Unlock callbacks.

### Method Summary

Methods
`void` `onFreed(GridDistributedCacheEntry entry)` Called when entry has no more candidates.
`void` `onLocked(GridDistributedCacheEntry entry)` Called when entry gets a first candidate.
`void` `onOwnerChanged(GridCacheEntryEx entry, GridCacheMvccCandidate prev, GridCacheMvccCandidate owner)` Called when entry lock ownership changes.

### Method Detail

#### onLocked

    void onLocked(GridDistributedCacheEntry entry)

Called when entry gets a first candidate. This call happens within entry internal synchronization.

Parameters:
  `entry` - Entry.

#### onOwnerChanged

    void onOwnerChanged(GridCacheEntryEx entry,
                      GridCacheMvccCandidate prev,
                      GridCacheMvccCandidate owner)

Called when entry lock ownership changes. This call happens outside of synchronization so external callbacks can be made from this call.

Parameters:
  `entry` - Entry.
  `prev` - Previous candidate.
  `owner` - Current owner.

#### onFreed

    void onFreed(GridDistributedCacheEntry entry)

Called when entry has no more candidates. This call happens within entry internal synchronization.

Parameters:
  `entry` - Entry

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016